### ChartType

Chart types

#### Enumeration Members

| Enumeration Member | Value |
| ------ | ------ |
| `BAR` | `"bar"` |
| `BOX_AND_WHISKER` | `"box_and_whisker"` |
| `LINE` | `"line"` |
| `PIE` | `"pie"` |
| `SCATTER` | `"scatter"` |
| `SUPERCHART` | `"superchart"` |
| `UNKNOWN` | `"unknown"` |

***

### ScaleType

Ax scale types

#### Enumeration Members

| Enumeration Member | Value |
| ------ | ------ |
| `ASINH` | `"asinh"` |
| `CATEGORICAL` | `"categorical"` |
| `DATETIME` | `"datetime"` |
| `FUNCTION` | `"function"` |
| `FUNCTIONLOG` | `"functionlog"` |
| `LINEAR` | `"linear"` |
| `LOG` | `"log"` |
| `LOGIT` | `"logit"` |
| `SYMLOG` | `"symlog"` |

## Type Aliases

### BarChart

```ts
type BarChart: Chart2D & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `elements` | `BarData`[] |
| `type` | `ChartType.BAR` |

***

### BarData

```ts
type BarData: object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `group` | `string` |
| `label` | `string` |
| `value` | `string` |

***

### BoxAndWhiskerChart

```ts
type BoxAndWhiskerChart: Chart2D & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `elements` | `BoxAndWhiskerData`[] |
| `type` | `ChartType.BOX_AND_WHISKER` |

***

### BoxAndWhiskerData

```ts
type BoxAndWhiskerData: object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `first_quartile` | `number` |
| `label` | `string` |
| `max` | `number` |
| `median` | `number` |
| `min` | `number` |
| `outliers` | `number`[] |
| `third_quartile` | `number` |

***

### Chart

```ts
type Chart: object;
```

Represents a chart.

#### Type declaration

| Name | Type |
| ------ | ------ |
| `elements` | `any`[] |
| `title` | `string` |
| `type` | `ChartType` |

***

### ChartTypes

```ts
type ChartTypes: 
  | LineChart
  | ScatterChart
  | BarChart
  | PieChart
  | BoxAndWhiskerChart
  | SuperChart;
```

***

### LineChart

```ts
type LineChart: PointChart & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `type` | `ChartType.LINE` |

***

### PieChart

```ts
type PieChart: Chart & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `elements` | `PieData`[] |
| `type` | `ChartType.PIE` |

***

### PieData

```ts
type PieData: object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `angle` | `number` |
| `label` | `string` |
| `radius` | `number` |

***

### PointData

```ts
type PointData: object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `label` | `string` |
| `points` | [`number` \| `string`, `number` \| `string`][] |

***

### ScatterChart

```ts
type ScatterChart: PointChart & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `type` | `ChartType.SCATTER` |

***

### SuperChart

```ts
type SuperChart: Chart & object;
```

#### Type declaration

| Name | Type |
| ------ | ------ |
| `elements` | `Chart`[] |
| `type` | `ChartType.SUPERCHART` |

## Functions

### deserializeChart()

```ts
function deserializeChart(data: any): Chart
```

#### Parameters

| Parameter | Type |
| ------ | ------ |
| `data` | `any` |

#### Returns

`Chart`
